const Months = require("../Models/Months");

const monthsNames = [
  "January",
  "February",
  "March",
  "April",
  "May",
  "June",
  "July",
  "August",
  "September",
  "October",
  "November",
  "December",
];

const getMonths = async (req, res) => {
  try {
    const months = await Months.findAll();

    return res.status(200).json({
      months: months.map((month) => ({
        ...month.dataValues,
        month: monthsNames[month.dataValues.month],
      })),
    });
  } catch (e) {
    return res.status(400).json({ mssg: e.message });
  }
};

module.exports = {
  getMonths,
};
