const express = require("express");
const {
  getOrders,
  addOrder,
  editOrder,
  deleteOrders,
  getPendingOrders,
  getCompletedOrders,
  completeOrder,
} = require("../Controller/Orders");
const ordersRouter = express.Router();

ordersRouter.get("/", getOrders);

ordersRouter.get("/pending", getPendingOrders);

ordersRouter.get("/completed", getCompletedOrders);

ordersRouter.patch("/completed", completeOrder);

ordersRouter.post("/", addOrder);

ordersRouter.patch("/", editOrder);

ordersRouter.delete("/", deleteOrders);

module.exports = ordersRouter;
